> For the complete documentation index, see [llms.txt](https://docs.globalalerting.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.globalalerting.com/web-api/cross-tenant-collections.md).

# Cross Tenant Collections

## GET /V2/{tenantVarCode}/crosstenantcollections

> Returns a list of cross tenant collections

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Cross Tenant Collections"}],"paths":{"/V2/{tenantVarCode}/crosstenantcollections":{"get":{"tags":["Cross Tenant Collections"],"summary":"Returns a list of cross tenant collections","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CrossTenantCollection"}}},"application/json;IEEE754Compatible=false":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CrossTenantCollection"}}},"application/json;IEEE754Compatible=true":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CrossTenantCollection"}}},"application/xml":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CrossTenantCollection"}}},"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CrossTenantCollection"}}},"application/octet-stream":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CrossTenantCollection"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CrossTenantCollection"}}},"text/xml":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CrossTenantCollection"}}},"text/csv":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CrossTenantCollection"}}}}}}}}},"components":{"schemas":{"CrossTenantCollection":{"required":["CollectionName"],"type":"object","properties":{"CollectionId":{"type":"string","description":"A unique identifier of the collection","nullable":true},"CollectionName":{"minLength":1,"type":"string","description":"A string with name of the collection"},"Tenants":{"type":"string","description":"Comma delimited list of tenant codes","nullable":true},"Groups":{"type":"string","description":"Comma delimited list of group ids","nullable":true},"Devices":{"type":"string","description":"Comma delimited list of device ids","nullable":true},"IncludeSubtenants":{"type":"boolean","description":"Whether all subtenants are included"}},"additionalProperties":false}}}}
```

## POST /V2/{tenantVarCode}/crosstenantcollections

> Creates a new cross tenant collection

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Cross Tenant Collections"}],"paths":{"/V2/{tenantVarCode}/crosstenantcollections":{"post":{"tags":["Cross Tenant Collections"],"summary":"Creates a new cross tenant collection","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Cross Tenant Collection","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CrossTenantCollection"}},"application/json;IEEE754Compatible=false":{"schema":{"$ref":"#/components/schemas/CrossTenantCollection"}},"application/json;IEEE754Compatible=true":{"schema":{"$ref":"#/components/schemas/CrossTenantCollection"}},"application/xml":{"schema":{"$ref":"#/components/schemas/CrossTenantCollection"}},"text/plain":{"schema":{"$ref":"#/components/schemas/CrossTenantCollection"}},"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CrossTenantCollection"}},"text/json":{"schema":{"$ref":"#/components/schemas/CrossTenantCollection"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CrossTenantCollection"}},"text/xml":{"schema":{"$ref":"#/components/schemas/CrossTenantCollection"}},"application/*+xml":{"schema":{"$ref":"#/components/schemas/CrossTenantCollection"}}}},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"CrossTenantCollection":{"required":["CollectionName"],"type":"object","properties":{"CollectionId":{"type":"string","description":"A unique identifier of the collection","nullable":true},"CollectionName":{"minLength":1,"type":"string","description":"A string with name of the collection"},"Tenants":{"type":"string","description":"Comma delimited list of tenant codes","nullable":true},"Groups":{"type":"string","description":"Comma delimited list of group ids","nullable":true},"Devices":{"type":"string","description":"Comma delimited list of device ids","nullable":true},"IncludeSubtenants":{"type":"boolean","description":"Whether all subtenants are included"}},"additionalProperties":false}}}}
```

## GET /V2/{tenantVarCode}/crosstenantcollections/{collectionId}

> Returns cross tenant collection

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Cross Tenant Collections"}],"paths":{"/V2/{tenantVarCode}/crosstenantcollections/{collectionId}":{"get":{"tags":["Cross Tenant Collections"],"summary":"Returns cross tenant collection","operationId":"GetCrossTenantCollection","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}},{"name":"collectionId","in":"path","description":"Cross Tenant Collection Collection Id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CrossTenantCollection"}},"application/json;IEEE754Compatible=false":{"schema":{"$ref":"#/components/schemas/CrossTenantCollection"}},"application/json;IEEE754Compatible=true":{"schema":{"$ref":"#/components/schemas/CrossTenantCollection"}},"application/xml":{"schema":{"$ref":"#/components/schemas/CrossTenantCollection"}},"text/plain":{"schema":{"$ref":"#/components/schemas/CrossTenantCollection"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/CrossTenantCollection"}},"text/json":{"schema":{"$ref":"#/components/schemas/CrossTenantCollection"}},"text/xml":{"schema":{"$ref":"#/components/schemas/CrossTenantCollection"}}}}}}}},"components":{"schemas":{"CrossTenantCollection":{"required":["CollectionName"],"type":"object","properties":{"CollectionId":{"type":"string","description":"A unique identifier of the collection","nullable":true},"CollectionName":{"minLength":1,"type":"string","description":"A string with name of the collection"},"Tenants":{"type":"string","description":"Comma delimited list of tenant codes","nullable":true},"Groups":{"type":"string","description":"Comma delimited list of group ids","nullable":true},"Devices":{"type":"string","description":"Comma delimited list of device ids","nullable":true},"IncludeSubtenants":{"type":"boolean","description":"Whether all subtenants are included"}},"additionalProperties":false}}}}
```

## PUT /V2/{tenantVarCode}/crosstenantcollections/{collectionId}

> Updates cross tenant collection

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Cross Tenant Collections"}],"paths":{"/V2/{tenantVarCode}/crosstenantcollections/{collectionId}":{"put":{"tags":["Cross Tenant Collections"],"summary":"Updates cross tenant collection","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}},{"name":"collectionId","in":"path","description":"Cross Tenant Collection Id","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Cross Tenant Collection","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CrossTenantCollection"}},"application/json;IEEE754Compatible=false":{"schema":{"$ref":"#/components/schemas/CrossTenantCollection"}},"application/json;IEEE754Compatible=true":{"schema":{"$ref":"#/components/schemas/CrossTenantCollection"}},"application/xml":{"schema":{"$ref":"#/components/schemas/CrossTenantCollection"}},"text/plain":{"schema":{"$ref":"#/components/schemas/CrossTenantCollection"}},"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CrossTenantCollection"}},"text/json":{"schema":{"$ref":"#/components/schemas/CrossTenantCollection"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CrossTenantCollection"}},"text/xml":{"schema":{"$ref":"#/components/schemas/CrossTenantCollection"}},"application/*+xml":{"schema":{"$ref":"#/components/schemas/CrossTenantCollection"}}}},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"CrossTenantCollection":{"required":["CollectionName"],"type":"object","properties":{"CollectionId":{"type":"string","description":"A unique identifier of the collection","nullable":true},"CollectionName":{"minLength":1,"type":"string","description":"A string with name of the collection"},"Tenants":{"type":"string","description":"Comma delimited list of tenant codes","nullable":true},"Groups":{"type":"string","description":"Comma delimited list of group ids","nullable":true},"Devices":{"type":"string","description":"Comma delimited list of device ids","nullable":true},"IncludeSubtenants":{"type":"boolean","description":"Whether all subtenants are included"}},"additionalProperties":false}}}}
```

## DELETE /V2/{tenantVarCode}/crosstenantcollections/{collectionId}

> Deletes cross tenant collection

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Cross Tenant Collections"}],"paths":{"/V2/{tenantVarCode}/crosstenantcollections/{collectionId}":{"delete":{"tags":["Cross Tenant Collections"],"summary":"Deletes cross tenant collection","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}},{"name":"collectionId","in":"path","description":"Cross Tenant Collection Id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}}}}
```
